<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'device.label', default: 'Device')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#list-device" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="list-device" class="content scaffold-list" role="main">
            <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
                <div class="message" role="status">${flash.message}</div>
            </g:if>

             <table>
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Description</th>
                                    <th>Venue</th>
                                    <th>Mode</th>
                                </tr>
                            </thead>
                            <tbody>
                            <g:each var="device" in="${deviceList}">
                                <tr>
                                    <td>
                                    <g:link controller="device" action="show" id="${device.id}">
                                    ${device.name}</g:link>
                                    </td>
                                    <td>${device.description}</td>
                                    <td>${device.venue.name}</td>
                                    <td><g:if test="${device.mode==false}">Off</g:if>
                                    <g:else>On</g:else>
                                    </td>
                                    
                                </tr>
                            </g:each>


                            </tbody>
                        </table>


            <div class="pagination">
                <g:paginate total="${deviceCount ?: 0}" />
            </div>
        </div>
    </body>
</html>